{ **************************************************************************** }
{ *                                                                          * }
{ * HANDHELD GAME SIMULATOR                                                  * }
{ * by Luca "MADrigal" Antignano                                             * }
{ *                                                                          * }
{ * http://www.madrigaldesign.it/sim/                                        * }
{ * lucantignano@gmail.com                                                   * }
{ *                                                                          * }
{ * This source code (the "Software") is released as "open source" under the * }
{ * "Creative Common Attribution-NonCommercial-ShareAlike" license 4.0       * }
{ * available at:                                                            * }
{ * https://creativecommons.org/licenses/by-nc-sa/4.0/legalcode              * }
{ *                                                                          * }
{ * In addition to the constraints set by the CC license, you must respect   * }
{ * the following rules:                                                     * }
{ * a. do not offer the Software on a pay-per-play basis.                    * }
{ * b. do not distribute the Software through pre-paid access websites or    * }
{ *    BBS's.                                                                * }
{ * c. do not use the Software in publications of any form unless written    * }
{ *    consent is obtained by the author.                                    * }
{ * d. do not distribute the Software through mirror websites, unless        * }
{ *    written consent is obtained by the author.                            * }
{ * e. do not distribute older versions of the Software through authorized   * }
{ *    mirror websites after newer ones have been made available by the      * }
{ *    author.                                                               * }
{ *                                                                          * }
{ * Excerpt from the CC BY-NC-SA license 4.0                                 * }
{ * ========================================                                 * }
{ * BY: You must give appropriate credit, provide a link to the license, and * }
{ *     indicate if changes were made. You may do so in any reasonable       * }
{ *     manner, but not in any way that suggests the licensor endorses you   * }
{ *     or your use.                                                         * }
{ * NC: You may not use the material for commercial purposes.                * }
{ * SA: If you remix, transform, or build upon the material, you must        * }
{ *     distribute your contributions under the same license as the          * }
{ *     original.                                                            * }
{ *                                                                          * }
{ **************************************************************************** }

unit about;
{ this unit contains the "About the author..." form implementation             }

interface

uses
  Windows, Forms, Classes, Controls, ExtCtrls, StdCtrls, ShellAPI, Pngimage;

type
  TAboutForm = class(TForm)
    im_picture:       TImage;

    la_name_1:        TLabel;
    la_name_2:        TLabel;

    la_birthplace_1:  TLabel;
    la_birthplace_2:  TLabel;

    la_birthdate_1:   TLabel;
    la_birthdate_2:   TLabel;

    la_job_1:         TLabel;
    la_job_2:         TLabel;

    la_hobby_1:       TLabel;
    la_hobby_2:       TLabel;

    la_website_1:     TLabel;
    la_website_2:     TLabel;

    la_email_1:       TLabel;
    la_email_2:       TLabel;

{ * PROCEDURES: INITIALIZE & SHUT DOWN                                       * }
    procedure FormCreate        (Sender: TObject);

{ * PROCEDURES: INPUT MANAGEMENT - EVENTS                                    * }
    procedure FormKeyDown       (Sender: TObject; var Key: Word; Shift: TShiftState);

    procedure la_email_2Click   (Sender: TObject);
    procedure la_website_2Click (Sender: TObject);
  end;

var
  AboutForm: TAboutForm;

implementation

uses
{}unit1;

{$r *.dfm}










{ **************************************************************************** }
{ *                                                                          * }
{ * PROCEDURES: INITIALIZE & SHUT DOWN                                       * }
{ *                                                                          * }
{ **************************************************************************** }

procedure TAboutForm.FormCreate(Sender: TObject);
{ form is centered on the screen                                               }
begin
  // visualization
  Position := poScreenCenter;
{}FormStyle := fsStayOnTop;
end;










{ **************************************************************************** }
{ *                                                                          * }
{ * PROCEDURES: INPUT MANAGEMENT - EVENTS                                    * }
{ *                                                                          * }
{ **************************************************************************** }

procedure TAboutForm.FormKeyDown(Sender: TObject; var Key: Word; Shift: TShiftState);
{ keypress: PRESS                                                              }
begin
  if Key = VK_ESCAPE then
    Close;
end;





procedure TAboutForm.la_email_2Click(Sender: TObject);
{ sends an email to the author                                                 }
begin
  ShellExecute(Handle, 'open', URL_EMAIL, nil, '', SW_SHOWNORMAL);
  Close;
end;





procedure TAboutForm.la_website_2Click(Sender: TObject);
{ browses the author's website                                                 }
begin
  ShellExecute(Handle, 'open', URL_WEBSITE, nil, '', SW_SHOWNORMAL);
  Close;
end;





end.
